# History Detail

This is one of the services providing user e-money transaction history in detail format, a specific transaction history by providing specific transaction identifiers. Partner is mandatory to provide the identifiers from consumer and provider systems.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

```
Service Code: 13
```

| Environment | Method | URL                                                             |
| ----------- | ------ | --------------------------------------------------------------- |
| Development | POST   | <https://snapstag.finnet.co.id/v1.0/transaction-history-detail> |
| Production  | POST   | <https://snap.finnet.co.id/v1.0/transaction-history-detail>     |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name                       | Type                                                                    | Mandatory | Min Length | Max Length | Description                                       |
| -- | -------------------------- | ----------------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------------------- |
| 1  | originalPartnerReferenceNo | String                                                                  | M         | 1          | 64         | Transaction identifier on service consumer system |
| 2  | additionalInfo             | [Object](/api-reference/appendix/json-object/additional-info-object.md) | M         | 1          | 1          | Additional Info                                   |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "originalPartnerReferenceNo": "2020102900000000000001",
  "additionalInfo": {
    "originalReferenceNo": "2020102900000000000001"
  }
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name               | Type                                                              | Mandatory | Min Length | Max Length | Description                                       |
| -- | ------------------ | ----------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------------------- |
| 1  | responseCode       | [Enum](/api-reference/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | BI SNAP Response Code.                            |
| 2  | responseMessage    | String                                                            | M         | 1          | 150        | BI SNAP Response Message.                         |
| 3  | referenceNo        | String                                                            | O         | 1          | 64         | Transaction identifier on service provider system |
| 4  | partnerReferenceNo | String                                                            | O         | 1          | 64         | Transaction identifier on service consumer system |
| 5  | amount             | [Object](/api-reference/appendix/json-object/amount-object.md)    | M         | 1          | 2          | Detail of Amount                                  |
| 6  | dateTime           | String                                                            | M         | 1          | 25         | Transaction date                                  |
| 7  | remark             | String                                                            | O         | 1          | 256        | Transaction remark                                |
| 8  | status             | String                                                            | M         | 1          | 32         | Transaction status                                |
| 9  | type               | String                                                            | M         | 1          | 32         | Transaction type                                  |
| 10 | additionalInfo     | String                                                            | O         | 1          | 8          | Additional Info                                   |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2001300",
  "responseMessage": "Request has been processed successfully",
  "partnerReferenceNo": "7891234345230002",
  "referenceNo": "2212020005601385",
  "dateTime": "2022-12-02T15:53:35+00:00",
  "amount": {
    "value": "1000.00",
    "currency": "IDR"
  },
  "remark": "pulsa 1000",
  "status": "SUCCESS",
  "type": "TEST",
  "additionalInfo": {
    "trxcode": "WS_TRX_TRANSFER",
    "id": "16109512",
    "sum_in": "0",
    "sum_out": "1000",
    "channel_id": "140",
    "source": "+6281977817902",
    "destination": "+628198765432112",
    "name": "Testing"
  }
}
```

### Response Code & Message <a href="#response-code--message" id="response-code--message"></a>

| No | HTTP Code | Code    | Message (Indonesian)            |
| -- | --------- | ------- | ------------------------------- |
| 1  | 200       | 2001300 | Successful                      |
| 2  | 400       | 4001300 | Bad request                     |
| 3  | 400       | 4001301 | Invalid field format {field}    |
| 4  | 400       | 4001302 | Invalid mandatory field {field} |
| 5  | 401       | 4011301 | Invalid token (B2B)             |
| 6  | 401       | 4011300 | Unauthorised. \[Reason]         |
| 7  | 403       | 4031301 | Feature not allowed             |
| 8  | 403       | 4031304 | Activity count limit exceeded   |
| 9  | 404       | 4041308 | Invalid merchant                |
| 10 | 500       | 5001300 | General error                   |
| 11 | 504       | 5041300 | Timeout                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/transaction-history/history-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
